Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.macosx
Class MacOSXErrorPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.ErrorPaneUI
                  org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI
                      org.jdesktop.swingx.plaf.macosx.MacOSXErrorPaneUI

    public class MacOSXErrorPaneUI

extends BasicErrorPaneUI

Ok, the Title becomes the first line in the error dialog The text immediately follows. Then come the "Details". This is a toggle button with an icon and text but no border and no background. The icon looks like a tree toggle (arrow right or down). There is then more optional text. The best way to support this is to look in the client properties of the JXErrorPane for any "sub text". Ideally this sub text would be part of the ErrorInfo. Maybe I should just add it there? Finally come the buttons. If there is no report action and the error < fatal, the shown ok button should say "close". Otherwise, if there is no report action but the error >= fatal, it should say "Exit Application". If there is a report action but error < fatal, it should say "Don't Send" for ok, "Send Report" for the report button. If there is a report action and the error >= fatal, then one button should say "Exit", and the report button should say "Send Report and Exit". Whenever either button is clicked (ok button or report button), the "close dialog" procedure should occur.

Author:
  rbair

Field Summary

Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI
`CLASS_NAME, closeButton, copyToClipboardButton, copyToClipboardListener, detailButton, detailListener, details, detailsPanel, detailsScrollPane, errorMessage, errorPaneListener, errorScrollPane, iconLabel, pane, reportButton`

Constructor Summary
`MacOSXErrorPaneUI()` Creates a new instance of BasicErrorPanelUI

Method Summary
`protected void` | `configureDetailsButton(boolean expanded)`
`protected void` | `configureReportAction(AbstractActionExt reportAction)`
`protected java.awt.LayoutManager` | `createDetailPanelLayout()`
`protected java.awt.LayoutManager` | `createErrorPaneLayout()` Create and return the LayoutManager to use with the error pane.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected int` | `getDetailsHeight()`
`javax.swing.JDialog` | `getErrorDialog(java.awt.Component owner)` Creates new ErrorPane wrapped in the dialog window centered at provided owner component.
`javax.swing.JFrame` | `getErrorFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the frame window centered at provided owner component.
`javax.swing.JInternalFrame` | `getErrorInternalFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.
`protected void` | `reinit()` Reconfigures the dialog if settings have changed, such as the errorInfo, errorIcon, warningIcon, etc

Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI
`calculatePreferredSize, getDefaultErrorIcon, getDefaultWarningIcon, getDetailsAsHTML, installComponents, installDefaults, installListeners, installUI, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacOSXErrorPaneUI

    public MacOSXErrorPaneUI()

  Creates a new instance of BasicErrorPanelUI

Method Detail

### configureDetailsButton

    protected void configureDetailsButton(boolean expanded)

  Overrides:
    `configureDetailsButton` in class `BasicErrorPaneUI`

### configureReportAction

    protected void configureReportAction(AbstractActionExt reportAction)

  Overrides:
    `configureReportAction` in class `BasicErrorPaneUI`

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### getErrorFrame

    public javax.swing.JFrame getErrorFrame(java.awt.Component owner)

  Creates new ErrorPane wrapped in the frame window centered at provided owner component.

  Overrides:
    `getErrorFrame` in class `BasicErrorPaneUI`
  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JFrame.

### getErrorDialog

    public javax.swing.JDialog getErrorDialog(java.awt.Component owner)

  Creates new ErrorPane wrapped in the dialog window centered at provided owner component.

  Overrides:
    `getErrorDialog` in class `BasicErrorPaneUI`
  Parameters:
    `owner` - component to center created error dialog at.
  Returns:
    New ErrorPane instance wrapped in JDialog.

### getErrorInternalFrame

    public javax.swing.JInternalFrame getErrorInternalFrame(java.awt.Component owner)

  Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.

  Overrides:
    `getErrorInternalFrame` in class `BasicErrorPaneUI`
  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JInternalFrame.

### createErrorPaneLayout

    protected java.awt.LayoutManager createErrorPaneLayout()

  Create and return the LayoutManager to use with the error pane.

  Overrides:
    `createErrorPaneLayout` in class `BasicErrorPaneUI`

### createDetailPanelLayout

    protected java.awt.LayoutManager createDetailPanelLayout()

  Overrides:
    `createDetailPanelLayout` in class `BasicErrorPaneUI`

### reinit

    protected void reinit()

  Reconfigures the dialog if settings have changed, such as the errorInfo, errorIcon, warningIcon, etc

  Overrides:
    `reinit` in class `BasicErrorPaneUI`

### getDetailsHeight

    protected int getDetailsHeight()

  Overrides:
    `getDetailsHeight` in class `BasicErrorPaneUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.